libzypp: zypp::json::String Class Reference

libzypp 17.38.14

zypp::json::String Class Reference

`#include <zypp-core/parser/json/JsonString.h>`

## Public Member Functions
| String ()=default
| ~String ()=default
| String (const std::string &val)
| String (std::string &&val)
| String (std::nullptr_t)
| String (const char *val_r)
| String (const String &)=default
| String (String &&)=default
String & | operator= (const String &)=default
String & | operator= (String &&)=default
String & | operator= (const std::string &set)
| operator std::string () const
std::string | asJSON () const
| JSON representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.
bool | operator< (const String &other) const

## Private Attributes
std::string | _value

## Friends
bool | operator== (const String &lhs, const String &rhs)

## Detailed Description

Definition at line 113 of file JsonString.h.

## Constructor & Destructor Documentation

## ◆ String() [1/7]

zypp::json::String::String | ( |  | ) |
| default

## ◆ ~String()

zypp::json::String::~String | ( |  | ) |
| default

## ◆ String() [2/7]

zypp::json::String::String | ( | const std::string & | val | ) |
| inline

Definition at line 119 of file JsonString.h.

## ◆ String() [3/7]

zypp::json::String::String | ( | std::string && | val | ) |
| inline

Definition at line 120 of file JsonString.h.

## ◆ String() [4/7]

zypp::json::String::String | ( | std::nullptr_t |  | ) |
| inline

Definition at line 122 of file JsonString.h.

## ◆ String() [5/7]

zypp::json::String::String | ( | const char * | val_r | ) |
| inline

Definition at line 124 of file JsonString.h.

## ◆ String() [6/7]

zypp::json::String::String | ( | const String & |  | ) |
| default

## ◆ String() [7/7]

zypp::json::String::String | ( | String && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/3]

String & zypp::json::String::operator= | ( | const String & |  | ) |
| default

## ◆ operator=() [2/3]

String & zypp::json::String::operator= | ( | String && |  | ) |
| default

## ◆ operator=() [3/3]

String & zypp::json::String::operator= | ( | const std::string & | set | ) |
| inline

Definition at line 131 of file JsonString.h.

## ◆ operator std::string()

zypp::json::String::operator std::string | ( |  | ) | const
| inline

Definition at line 136 of file JsonString.h.

## ◆ asJSON()

std::string zypp::json::String::asJSON | ( |  | ) | const
| inline

JSON representation.

Definition at line 141 of file JsonString.h.

## ◆ dumpOn()

std::ostream & zypp::json::String::dumpOn | ( | std::ostream & | str | ) | const
| inline

Stream output.

Definition at line 145 of file JsonString.h.

## ◆ operator<()

bool zypp::json::String::operator< | ( | const String & | other | ) | const
| inline

Definition at line 148 of file JsonString.h.

## Friends And Related Symbol Documentation

## ◆ operator==

bool operator== | ( | const String & | lhs,
|  | const String & | rhs )
| friend

Definition at line 152 of file JsonString.h.

## Member Data Documentation

## ◆ _value

std::string zypp::json::String::_value
| private

Definition at line 157 of file JsonString.h.

The documentation for this class was generated from the following file:

- zypp-core/parser/json/JsonString.h